/* FONTAWESOME */
@font-face {
  font-family: "Vitrolinha Icons";
  font-display: block;
  src: url(webfonts/vitrolinha-icons.woff2) format("woff2");
  font-display: swap;
}
.fa {
  font-family: var(--fa-style-family, "Vitrolinha Icons");
  font-weight: var(--fa-style, 900);
}
.fa,
.fa-brands,
.fa-classic,
.fa-duotone,
.fa-light,
.fa-regular,
.fa-sharp,
.fa-sharp-solid,
.fa-solid,
.fa-thin,
.fab,
.fad,
.fal,
.far,
.fas,
.fasl,
.fasr,
.fass,
.fast,
.fat {
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  display: var(--fa-display, inline-block);
  font-style: normal;
  font-variant: normal;
  line-height: 1;
  text-rendering: auto;
}
.fa-classic,
.fa-light,
.fa-regular,
.fa-solid,
.fa-thin,
.fal,
.far,
.fas,
.fat {
  font-family: "Vitrolinha Icons";
}
.fa-spinner-scale:before {
  content: "\e62a";
}
.fa-signal-stream:before {
  content: "\f8dd";
}
.fa-signal-stream-slash:before {
  content: "\e250";
}
.fa-sun:before {
  content: "\f185";
}
.fa-play:before {
  content: "\f04b";
}
.fa-volume-mute:before,
.fa-volume-times:before,
.fa-volume-xmark:before {
  content: "\f6a9";
}
.fa-volume-medium:before,
.fa-volume:before {
  content: "\f6a8";
}
.fa-volume-off:before {
  content: "\f026";
}
.fa-volume-down:before,
.fa-volume-low:before {
  content: "\f027";
}
.fa-volume-high:before,
.fa-volume-up:before {
  content: "\f028";
}
.fa-pause:before {
  content: "\f04c";
}
.fa-moon:before {
  content: "\f186";
}
.fa-brightness-low:before {
  content: "\e0ca";
}
.fa-brightness:before {
  content: "\e0c9";
}
.fa-toggle-large-off:before {
  content: "\e5b1";
}
.fa-toggle-large-on:after {
  content: "\e5b0";
}
/* FONTAWESOME */

@font-face {
  font-family: "Vitrolinha Font";
  src: url(webfonts/vitrolinha-font.woff2) format("woff2");
  font-weight: normal;
  font-display: swap;
}
@font-face {
  font-family: "Vitrolinha Font";
  src: url(webfonts/vitrolinha-font.woff2) format("woff2");
  font-weight: bold;
  font-display: swap;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}


body {
  /* background: #000; */
  background: #252728;
  color: #b0b3b8;
  font-family: "Vitrolinha Font", sans-serif;
  font-size: 12px;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
  height: 100svh;
}

.player {
  position: relative;
  text-align: center;
  padding: 25px;
  border-radius: 18px;
  box-shadow: 0 0 60px rgba(0, 0, 0, 0.9);
  width: 100%;
  max-width: 280px;
  min-width: 200px;
  margin: 20px;
  /* background: #333334;
  border: 2px solid #464647; */
  background: rgba(37, 39, 40, 0.75);
  border: 2px solid rgba(255, 255, 255, 0.1);

  opacity: 0;
  /* transform: translateY(-100px); */
}

.player.loaded {
  animation: slideDown .5s ease forwards;
  animation-delay: 0.25s;
}

@keyframes slideDown {
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.player marquee {
  position: relative;
  height: 25px;
}
/* .player marquee:before,
.player marquee:after {
  position: absolute;
  top: 0;
  left: 0;
  width: 50px;
  height: 100%;
  background: linear-gradient(
    90deg,
    rgba(51, 51, 52, 1) 0%,
    rgba(51, 51, 52, 0) 100%
  );
  z-index: 2;
  content: "";
  display: block;
}
.player marquee:after {
  left: auto;
  right: 0;
  background: linear-gradient(
    90deg,
    rgba(51, 51, 52, 0) 0%,
    rgba(51, 51, 52, 1) 100%
  );
} */
.player marquee span {
  position: relative;
  z-index: 1;
}

.radio-name {
  /* margin: 15px auto 13px; */
  margin: 20px auto 13px;
  letter-spacing: 0;
  line-height: 110%;
  max-width: 174px;
  opacity: 1;
}

#vitrolinha_texto {
  fill: #e41d11;
  transition: all 2s ease;
}
#vitrolinha_sombra {
  opacity: 1;
}
#vitrolinha_vinyl.tocando {
  animation: spin 4s linear infinite;
  transform-origin: center;
  transform-box: fill-box;
}

.metadata {
  font-size: 16px;
  color: #fff;
  font-weight: bold;
  height: 25px;
  white-space: nowrap;
  overflow: hidden;
}
.metadata > #metadata {
  display: table;
  padding-left: 100%;
  animation: marquee 15s linear infinite;
  cursor: default;
}

@keyframes marquee {
  0% {
    transform: translate(0, 0);
  }
  100% {
    transform: translate(-100%, 0);
  }
}

.play-btn {
  position: relative;
  width: 80px;
  height: 80px;
  border-radius: 50%;
  border: none;
  background-color: #e41d11;
  color: #fff;
  font-size: 28px;
  cursor: pointer;
  transition: transform 0.25s ease, box-shadow 0.25s ease,
    background-color 2s ease;
  /* box-shadow: 0 0 10px rgba(255, 0, 102, 0.2); */
  /* box-shadow: 0 0 10px rgba(127, 127, 127, 0.2); */
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  margin: 14px 0 0;
}

.play-btn:hover {
  transform: scale(1.08);
  /* box-shadow: 0 0 30px rgba(255, 0, 102, 0.5); */
  box-shadow: 0 0 30px rgba(0, 0, 0, 0.4);
}

.play-btn::before {
  position: absolute;
  content: "";
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(
    330deg,
    rgba(0, 0, 0, 0.2) 0%,
    rgba(0, 0, 0, 0) 100%
  );
  border-radius: 50%;
  transition: all 0.25s ease;
  z-index: 1;
}
/* .play-btn:hover::before {
  background: linear-gradient(
    330deg,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 0.3) 100%
  );
} */

.play-btn:active {
  transform: scale(0.95);
}

.play-btn i.fa-play {
  width: 25px;
  text-align: right;
}
.play-btn i {
  position: relative;
  text-shadow: 2px 2px 2px rgba(0, 0, 0, 0.2);
  z-index: 2;
}

.footer {
  margin-top: 3px;
  position: relative;
  display: none;
  width: 100%;
  /*color:#fff;*/
}

.footer > div {
  position: relative;
  display: table;
  float: left;
  width: 50%;
}
.footer > div.esq {
  text-align: left;
}
.footer > div.dir {
  text-align: right;
}
.footer i {
  width: 11px;
  text-align: center;
  margin-right: 7px;
  /*color:#b0b3b8;*/
}

.album {
  width: 100%;
  padding-top: 100%;
  aspect-ratio: 1;
  display: table;
  clear: both;
  margin: 0 auto 15px;
  position: relative;
  /* background: #252728; */
  /* border: 2px solid #464647; */
  background: rgba(51, 51, 52, 0.7);
  border: 2px solid rgba(255, 255, 255, 0.1);
}
/* .album::before {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  content: "";
  display: block;
  z-index: 2;
  box-shadow: 0px 0px 15px inset rgba(0, 0, 0, 0.6);
} */

#albumArt {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
  opacity: 0.4;
  transform: scale(1.05);
  /* animation: pulse 90s linear infinite; */
}
#albumArt::before {
  position: absolute;
  content: "";
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background: linear-gradient(
    330deg,
    rgba(0, 0, 0, 0.7) 0%,
    rgba(0, 0, 0, 0) 50%,
    rgba(0, 0, 0, 0.7) 100%
  );
  transition: opacity 3s ease;
  z-index: 3;
}

#albumArt .cover {
  filter: blur(10px);
}

.cover {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  opacity: 0;
  transition: opacity 2s ease;
  z-index: 2;
}
.cover.active {
  opacity: 1;
}
.cover.default {
  z-index: 1;
  opacity: 1;
  background-image: url(covers/default.jpg);
}

/*
#coverA,
#albumA {
  background-image: url(covers/coverA.jpg);
}
#coverB,
#albumB {
  background-image: url(covers/coverB.jpg);
}
*/

#relogio {
  position: relative;
  text-align: center;
  width: 100%;
  /* margin: 0 0 12px; */
  cursor: default;
  /* color:#fff; */
  font-weight: bold;
}

.volume-container {
  display: table;
  width: 100%;
  max-width: 150px;
  margin: 20px auto 0;
  flex-direction: column;
  align-items: center;
}

.volume-icon {
  display: table-cell;
  text-align: left;
  width: 27px;
  font-size: 16px;
  cursor: pointer;
  transition: all 0.25s ease;
}
.volume-icon:hover {
  color: #fff;
}

.volume-icon.fa-volume {
  position: relative;
  left: -1px;
}

.volume {
  display: table-cell;
  width: 100%;
  cursor: pointer;
  position: relative;
  top: -3px;
}

/*********** Baseline, reset styles ***********/
input[type="range"] {
  -webkit-appearance: none;
  appearance: none;
  background: transparent;
  cursor: pointer;
}

/* Removes default focus */
input[type="range"]:focus {
  outline: none;
}

/******** Chrome, Safari, Opera and Edge Chromium styles ********/
/* slider track */
input[type="range"]::-webkit-slider-runnable-track {
  /* background-color: #464647; */
  background-color: rgba(255, 255, 255, 0.1);
  border-radius: 0.4rem;
  height: 0.4rem;
}

/* slider thumb */
input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none; /* Override default look */
  appearance: none;
  margin-top: -4px; /* Centers thumb on the track */
  background-color: #b0b3b8;
  border-radius: 0.5rem;
  height: 1rem;
  width: 1rem;
  transition: all 0.25s ease;
  transform: scale(0.95);
}

input[type="range"]:hover::-webkit-slider-thumb {
  background: #fff;
  transform: scale(1.08);
}

input[type="range"]:focus::-webkit-slider-thumb {
  background: #fff;
  outline: 2px solid #ffffff;
  outline-offset: 0.2rem;
  transform: scale(0.8);
}

/*********** Firefox styles ***********/
/* slider track */
input[type="range"]::-moz-range-track {
  /* background-color: #464647; */
  background-color: rgba(255, 255, 255, 0.1);
  border-radius: 0.4rem;
  height: 0.4rem;
}

/* slider thumb */
input[type="range"]::-moz-range-thumb {
  background-color: #b0b3b8;
  border: none; /*Removes extra border that FF applies*/
  border-radius: 0.5rem;
  height: 1rem;
  width: 1rem;
  transition: all 0.25s ease;
  transform: scale(0.95);
}

input[type="range"]:hover::-moz-range-thumb {
  background: #fff;
  transform: scale(1.08);
}

input[type="range"]:focus::-moz-range-thumb {
  background: #fff;
  outline: 2px solid #ffffff;
  outline-offset: 0.2rem;
  transform: scale(0.8);
}

#icones {
  position: absolute;
  top: 23px;
  right: 25px;
  font-size: 14px;
  cursor: default;
}
/*
#icones i {
  animation: pulse 1.5s infinite;
} */
#conexao {
  width: 18px;
  text-align: center;
}
#conexao.fa-signal-stream {
  animation: piscar 1.5s infinite;
  /* color: #fff; */
}

@keyframes piscar {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0.4;
  }
  100% {
    opacity: 1;
  }
}

#theme-toggle {
  background: none;
  border: none;
  color: #b0b3b8;
  cursor: pointer;
  transition: all 0.25s ease;
  position: absolute;
  top: 25px;
  left: 25px;
  width: 15px;
  text-align: center;
  font-size: 14px;
}
/* #theme-toggle:hover {
  color: #fff;
} */

#preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: #252728;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 9999;
  opacity: 1;
  transition: opacity 3s ease;
}

/* Spinner icon */
#preloader i {
  font-size: 48px;
  animation: spin 2s linear infinite;
  color: rgba(255, 255, 255, 0.1);
  transition: opacity 0.5s ease;
}
#preloader i.fade-out {
  opacity: 0;
}

#preloader div#preloader_icon {
  transition: all 0.25s ease;
}

#preloader div#preloader_icon svg {
  animation: spin 2s linear infinite;
  max-width: 180px;
  width: 100%;
  transform-origin: center;
  transform-box: fill-box;
}

#preloader div#preloader_icon.fade-out {
  opacity: 0;
  transform:scale(0);
}

body.light {
  background: #dad8d7;
  color: #4f4c47;
}

body.light .player {
  box-shadow: 0 0 60px rgba(0, 0, 0, 0.1);
  /* background: rgba(218, 216, 215, 0.75); */
  background: rgba(255, 255, 255, 0.65);
  border: 2px solid rgba(255, 255, 255, 0.2);
}

body.light .metadata,
body.light .volume-icon:hover {
  color: #252728;
}

body.light .album {
  background: rgba(218, 216, 215, 0.8);
  /*border: 2px solid #252728;*/
  border: 2px solid rgba(25, 27, 28, 0.1);
}

body.light #vitrolinha_sombra {
  opacity: 1;
  fill: #252728;
}

body.light #albumArt {
  opacity: 0.4;
  filter: grayscale(100%);
  background: #fff;
}

/* body.light #albumArt .cover {
  filter: blur(2px);
} */

body.light #albumArt::before {
  background: linear-gradient(
    330deg,
    rgba(255, 255, 255, 1) 0%,
    rgba(255, 255, 255, 0) 50%,
    rgba(255, 255, 255, 1) 100%
  );
}
body.light #theme-toggle {
  color: #4f4c47;
}
/* body.light #theme-toggle:hover {
  color: #000;
} */

body.light .play-btn {
  box-shadow: none;
}

body.light .play-btn:hover {
  transform: scale(1.08);
  /*box-shadow: 0 0 10px rgba(255, 255, 255, 0.6);*/
}

body.light #preloader {
  background: #dad8d7;
  color: #4f4c47;
}

body.light #preloader i {
  color: #4f4c47;
}

body.light input[type="range"]::-webkit-slider-runnable-track {
  background-color: rgba(0, 0, 0, 0.1);
}

body.light input[type="range"]::-webkit-slider-thumb {
  background-color: #4f4c47;
}

body.light input[type="range"]:hover::-webkit-slider-thumb {
  background: #252728;
}

body.light input[type="range"]:focus::-webkit-slider-thumb {
  background: #252728;
  outline: 2px solid #252728;
}

body.light input[type="range"]::-moz-range-track {
  background-color: rgba(0, 0, 0, 0.1);
}

body.light input[type="range"]::-moz-range-thumb {
  background-color: #4f4c47;
}

body.light input[type="range"]:hover::-moz-range-thumb {
  background: #252728;
}

body.light input[type="range"]:focus::-moz-range-thumb {
  background: #252728;
  outline: 2px solid #252728;
}

/* Spin animation */
@keyframes spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

/* Hidden state */
#preloader.fade-out {
  opacity: 0;
  pointer-events: none;
}

@keyframes pulse {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.3);
  }
  100% {
    transform: scale(1);
  }
}

@media screen and (max-width: 799px) {
  #albumArt .cover {
    filter: blur(5px);
  }
}

@media screen and (max-height: 540px) {
  .album {
    width: 150px;
    height: 150px;
    padding: 0;
  }
  #albumArt .cover {
    filter: blur(5px);
  }
  .radio-name {
    max-width: 150px;
  }
}

@media screen and (max-height: 470px) {
  .album {
    display: none;
  }
  #albumArt .cover {
    filter: blur(2px);
  }
  #albumArt {
    opacity: 1;
  }
  #albumArt::before {
    opacity: 0;
  }
}

@media screen and (max-height: 300px) {
  .album,
  .volume-container {
    display: none;
  }
}

@media screen and (max-height: 250px) {
  #relogio,
  #theme-toggle,
  #icones {
    display: none;
  }
  .player {
    padding: 15px;
  }
  .play-btn {
    width: 60px;
    height: 60px;
    font-size: 24px;
    margin-top: 10px;
  }
  .radio-name {
    margin-top: 2px;
  }
  .play-btn i.fa-play {
    width: 20px;
    /* text-align: center; */
  }
}

@media (hover: none) {
  #theme-toggle:hover,
  .volume-icon:hover {
    color: inherit;
  }
  .play-btn:hover {
    transform: inherit;
    box-shadow: inherit;
  }
}
